#include <bits/stdc++.h>

using namespace std;

int main(){

    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);

    long long t,n,m,k;

    cin>>t;
    for(int u;u<t;u++){
        bool moze=true;
        cin>>n>>m>>k;
        long long broj_po_grupi=n/k;
        long long ostatak=n%k;
        double sn=0;

        sn=(k-ostatak)*(broj_po_grupi*(1+broj_po_grupi))+ostatak*((broj_po_grupi+1)*(2+broj_po_grupi));

        if(sn>m || n<k)cout<<"Nie";
        else cout<<"Tak";
        cout<<'\n';
    }

}